Subject: Re: bug#56393: Actually fix the long lines display bug

From: Gregory Heytings <[email-masked]>
Date: Thu, 21 Jul 2022 07:49:44 +0000

>
> As far as I can see, font locking is the one and only remaining cause of 
> slowdowns that is under control of Emacs.  Mode-specific slowdowns can 
> of course not be solved in Emacs.  So what about simply turning font 
> locking off unconditionally when long lines are detected in a buffer, 
> until the font locking slowdowns are fixed?
>

(Doing that would also make it easier to get feedback about other causes 
of slowdown, if any.)